## Non-separator tokens

### Update nonSeparatorTokens

### cURL

```bash
curl \
  -X PUT 'MEILISEARCH_URL/indexes/articles/settings/non-separator-tokens' \
  -H 'Content-Type: application/json'  \
  --data-binary '[@, "#"]'
```

### Response Codes

- **202**
- **401**
- **404**

```json
{
  "taskUid": 147,
  "indexUid": "movies",
  "status": "enqueued",
  "type": "settingsUpdate",
  "enqueuedAt": "2024-08-08T17:05:55.791772Z"
}
```

### PUT

`/indexes/{index_uid}/settings/non-separator-tokens`

### cURL

```bash
curl \
  -X PUT 'MEILISEARCH_URL/indexes/articles/settings/non-separator-tokens' \
  -H 'Content-Type: application/json'  \
  --data-binary '[@, "#"]'
```

### Response Codes

- **202**
- **401**
- **404**

```json
{
  "taskUid": 147,
  "indexUid": "movies",
  "status": "enqueued",
  "type": "settingsUpdate",
  "enqueuedAt": "2024-08-08T17:05:55.791772Z"
}
```

## Documentation Index

Fetch the complete documentation index at: [Documentation Index](/content/docs/llms.txt)

Use this file to discover all available pages before exploring further.

### Authorizations

**Authorization**  
*string*  
*header*  
*required*

An API key is a token that you provide when making API calls. Read more about [how to secure your project](/content/docs/learn/security/basic_security/index.html).

Include the API key to the `Authorization` header, for instance:

```bash
-H 'Authorization: Bearer 6436fc5237b0d6e0d64253fbaac21d135012ecf1'
```

If you use a SDK, ensure you instantiate the client with the API key, for instance with [JS SDK](https://github.com/meilisearch/meilisearch-js):

```javascript
const client = new Meilisearch({
  host: 'MEILISEARCH_URL',
  apiKey: '6436fc5237b0d6e0d64253fbaac21d135012ecf1'
});
```

### Path Parameters

- **index_uid**  
*string*  
*required*  
Unique identifier of the index.

### Body

*application/json*

### Response

- **202**  
*application/json*

Task successfully enqueued.

A summarized view of a task, returned when a task is enqueued

- **taskUid**  
*integer<u-int32>*  
*required*  
Unique sequential identifier of the task.

- **status**  
*enum<string>*  
*required*  
Status of the task. Possible values: `enqueued`, `processing`, `succeeded`, `failed`, `canceled`.

Example:
`"processing"`

- **type**  
*enum<string>*  
*required*  
Type of operation performed by the task.

Available options: `documentAdditionOrUpdate`, `documentEdition`, `documentDeletion`, `settingsUpdate`, `indexCreation`, `indexDeletion`, `indexUpdate`, `indexSwap`, `taskCancelation`, `taskDeletion`, `dumpCreation`, `snapshotCreation`, `export`, `upgradeDatabase`, `indexCompaction`, `networkTopologyChange`

Example:
`"documentAdditionOrUpdate"`

- **enqueuedAt**  
*string<date-time>*  
*required*  
Date and time when the task was enqueued.

- **indexUid**  
*string | null*  
Unique identifier of the targeted index. Null for global tasks.

- **customMetadata**  
*string | null*  
Custom metadata attached to this task at creation. Use it to associate tasks with external systems or add application-specific information.
